package com.rthoni.intellij.codefromds.dbo.template;

/**
 * Created by robin on 4/13/17.
 */
public class StoredProcedureArgDbo {

    private String name;

    private SqlTypeDbo _sqlType;

    private boolean _isOut;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return _sqlType != null ? _sqlType.getLanguageType() : null;
    }

    public SqlTypeDbo getSqlType() {
        return _sqlType;
    }

    public void setSqlType(SqlTypeDbo sqlType) {
        _sqlType = sqlType;
    }

    public boolean isOut() {
        return _isOut;
    }

    public void setOut(boolean out) {
        _isOut = out;
    }
}
